Bug 60145 - Current glibc builds break building KDE
Current glibc builds break building KDE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
Blocks: 60038
  Show dependency treegraph
Reported: 2002-02-20 16:43 EST by Bernhard Rosenkraenzer
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-04 12:32:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2002-02-20 16:43:38 EST
Description of Problem:
As soon as glibc 2.2.90-5 or 2.2.90-6 are installed, all KDE packages fail to
build because am_edit (part of KDE) starts outputting bad makefiles.

Version-Release number of selected component (if applicable):
2.2.90-5, 2.2.90-6

How Reproducible:

Steps to Reproduce:
1. Try building any KDE package

Actual Results:
make just says "docs-am: Nothing to do"

Expected Results:
make builds the whole package

Additional Information:
2.2.90-3 worked, didn't try 2.2.90-4

automake generates proper Makefile.in files, then am_edit is run. Usually, it
just edits the Makefile.in files, with current glibcs, it deletes them and
outputs garbage.
Comment 1 Bernhard Rosenkraenzer 2002-02-20 17:06:04 EST
Just tried, 2.2.90-4 is broken as well. 2.2.90-3 is the last version that works.

You'll probably want to try it using the arts package, it doesn't require a
whole KDE development environment.
Comment 3 Bernhard Rosenkraenzer 2002-03-04 12:39:44 EST
package built

Note You need to log in before you can comment on or make changes to this bug.